<?php
function faclass($icon) {
    return "fa fa-fw fa-$icon";
}
$links = [
    "email" => [
        "href" => "mailto:ben@tilde.team",
        "icon" => "envelope"
    ],
    "pgp pubkey" => [
        "href" => "pubkey.txt",
        "icon" => "lock"
    ],
    "blog" => [
        "href" => "blog/",
        "icon" => "rss"
    ],
    "keybase" => [
        "href" => "https://keybase.io/bharris",
        "icon" => "key"
    ],
    "github" => [
        "href" => "https://github.com/benharri",
        "icon" => "github"
    ],
    "gitea" => [
        "href" => "https://git.tilde.team/ben",
        "icon" => "code-fork"
    ],
    "stack overflow" => [
        "href" => "https://stackoverflow.com/users/6352706/ben-harris",
        "icon" => "stack-overflow"
    ],
    "my git guide" => [
        "href" => "https://benharri.github.io/learngit/",
        "icon" => "git"
    ],
    "my personal site" => [
        "href" => "https://benharr.is",
        "icon" => "globe"
    ],
    "my discord bot" => [
        "href" => "https://bot.benharr.is",
        "icon" => "discord-alt"
    ],
    "software design pattern book" => [
        "href" => "patterns/",
        "icon" => "book"
    ],
    "win solitaire" => [
        "href" => "soli/",
        "icon" => "gamepad"
    ],
    "mastodon" => [
        "href" => "https://tilde.zone/@ben",
        "icon" => "mastodon-alt"
    ],
    "ben on tildenet irc" => [
        "href" => "https://tilde.chat",
        "icon" => "comments"
    ],
];

foreach ($links as $name => $link): ?>
    <ul>
        <li>
            <a href="<?=$link["href"]?>">
                <i class="<?=faclass($link["icon"])?>"></i> <?=$name?></a>
        </li>
    </ul>

<?php endforeach;
